as.raster {raster} | R Documentation

## Coerce to a 'raster' object

### Description

Implementation of the generic `as.raster` function to create a 'raster' (small r) object. NOT TO BE CONFUSED with the Raster* (big R) objects defined by the raster package! Such objects can be used for plotting with the `rasterImage` function.

### Usage

    as.raster(x, ...)

### Arguments

`x` | RasterLayer object
`...` | Additional arguments. `maxpixels` Integer. To regularly subsample very large objects `col` Vector of colors. Default is col=rev(terrain.colors(255)))

### Value

'raster' object

### Examples

    r <- raster(ncol=3, nrow=3)
    r[] <- 1:ncell(r)
    as.raster(r)

[Package raster version 2.5-2 Index]